# Uses of Class
org.eclipse.ecf.remoteservice.AbstractRemoteService

Packages that use AbstractRemoteService
Package
Description
org.eclipse.ecf.provider.remoteservice.generic
org.eclipse.ecf.remoteservice
org.eclipse.ecf.remoteservice.client
org.eclipse.ecf.remoteservice.rest.client

## Uses of AbstractRemoteService in org.eclipse.ecf.provider.remoteservice.generic

Subclasses of AbstractRemoteService in org.eclipse.ecf.provider.remoteservice.generic
Modifier and Type
Class
Description
`class`
`RemoteServiceImpl`

## Uses of AbstractRemoteService in org.eclipse.ecf.remoteservice

Fields in org.eclipse.ecf.remoteservice with type parameters of type AbstractRemoteService
Modifier and Type
Field
Description
`protected final Map<IRemoteServiceReference,List<AbstractRemoteService>>`
RemoteServiceContainerAdapterImpl.`refToImplMap`
Methods in org.eclipse.ecf.remoteservice that return AbstractRemoteService
Modifier and Type
Method
Description
`protected AbstractRemoteService`
RemoteServiceContainerAdapterImpl.`createRemoteService(RemoteServiceRegistrationImpl registration)`

## Uses of AbstractRemoteService in org.eclipse.ecf.remoteservice.client

Subclasses of AbstractRemoteService in org.eclipse.ecf.remoteservice.client
Modifier and Type
Class
Description
`class`
`AbstractClientService`
Remote service client service.
`class`
`AbstractRSAClientService`
Abstract client remote service instance.

## Uses of AbstractRemoteService in org.eclipse.ecf.remoteservice.rest.client

Subclasses of AbstractRemoteService in org.eclipse.ecf.remoteservice.rest.client
Modifier and Type
Class
Description
`class`
`AbstractRestClientService`
`class`
`RestClientService`
This class represents a REST service from the client side of view.